# slurm.conf file generated by configurator.html.
# Put this file on all nodes of your cluster.
# See the slurm.conf man page for more information.
#
ControlMachine=r000u17l01
ControlAddr=10.27.0.117
BackupController=r000u18l02
BackupAddr=10.27.0.118
# 
AuthType=auth/munge
#CheckpointType=checkpoint/none 
CryptoType=crypto/munge
DisableRootJobs=YES 
EnforcePartLimits=YES
Epilog=/etc/slurm/epilog.d/*
#EpilogSlurmctld= 
#FirstJobId=1 
#MaxJobId=999999 
#GresTypes=hbm
#GroupUpdateForce=0 
#GroupUpdateTime=600 
#JobCheckpointDir=/var/slurm/checkpoint 
#JobCredentialPrivateKey=
#JobCredentialPublicCertificate=
#JobFileAppend=0 
#JobRequeue=1 
JobSubmitPlugins=lua
#KillOnBadExit=0 
#LaunchType=launch/slurm 
#Licenses=foo*4,bar 
#MailProg=/bin/mail 
#MaxJobCount=5000 
#MaxStepCount=40000 
#MaxTasksPerNode=128 
MpiDefault=none
#MpiParams=ports=#-# 
#PluginDir= 
#PlugStackConfig= 
PrivateData=events,usage
ProctrackType=proctrack/cgroup
Prolog=/etc/slurm/prolog.d/*
PrologFlags=contain
#PrologSlurmctld= 
#PropagatePrioProcess=0 
#PropagateResourceLimits= 
PropagateResourceLimitsExcept=ALL
RebootProgram=/sbin/reboot
ReturnToService=1
#SallocDefaultCommand= 
SlurmctldPidFile=/var/run/slurmctld.pid
SlurmctldPort=6817
SlurmdPidFile=/var/run/slurmd.pid
SlurmdPort=6818
SlurmdSpoolDir=/var/spool/slurmd
SlurmUser=slurm000
#SlurmdUser=root 
#SrunEpilog=
#SrunProlog=
StateSaveLocation=/cineca/sysprod/slurm/spool
SwitchType=switch/none
TaskEpilog=/etc/slurm/task_epilog.sh
TaskPlugin=task/affinity,task/cgroup
#TaskPluginParam=
TaskProlog=/etc/slurm/task_prolog.sh
#TopologyPlugin=topology/tree 
TmpFS=/scratch_local 
#TrackWCKey=no 
#TreeWidth= 
#UnkillableStepProgram= 
#UsePAM=0 
# 
# 
# TIMERS 
#BatchStartTimeout=10 
#CompleteWait=0 
#EpilogMsgTime=2000 
#GetEnvTimeout=2 
HealthCheckInterval=300
HealthCheckProgram=/usr/sbin/nhc
HealthCheckNodeState=CYCLE,ANY
InactiveLimit=0
KillWait=30
MessageTimeout=20
#ResvOverRun=0 
MinJobAge=300
OverTimeLimit=0 
SlurmctldTimeout=120
SlurmdTimeout=300
#UnkillableStepTimeout=60 
#VSizeFactor=0 
Waittime=0
# 
# 
# SCHEDULING 
#DefMemPerCPU=0 
FastSchedule=1
#MaxMemPerCPU=0 
#SchedulerTimeSlice=30 
SchedulerType=sched/backfill
SchedulerParameters=spec_cores_first,pack_serial_at_end
SelectType=select/cons_res
SelectTypeParameters=CR_Core_Memory
# 
# 
# JOB PRIORITY 
PriorityFlags=MAX_TRES,SMALL_RELATIVE_TO_TIME
PriorityType=priority/multifactor 
PriorityDecayHalfLife=0
#PriorityCalcPeriod= 
PriorityFavorSmall=NO
PriorityMaxAge=7-0
PriorityUsageResetPeriod=NONE
PriorityWeightAge=1000
PriorityWeightFairshare=10000
PriorityWeightJobSize=1000
PriorityWeightPartition=100
PriorityWeightQOS=1000
#PriorityWeightTRES=CPU=1000,Mem=2000,GRES/hbm=3000
# 
# 
# LOGGING AND ACCOUNTING 
AccountingStorageEnforce=associations,limits,qos,safe
#AccountingStorageTRES=gres/hbm
AccountingStorageHost=r000u17l01-hfi
AccountingStorageBackupHost=r000u18l02-hfi
#AccountingStorageLoc=/cineca/sysprod/slurm/spool/slurm_jobacct.log
#AccountingStoragePass=
#AccountingStoragePort=
AccountingStorageType=accounting_storage/slurmdbd
#AccountingStorageUser=
AccountingStoreJobComment=YES
ClusterName=marconi
DebugFlags=NodeFeatures
#JobCompHost=
#JobCompLoc=/cineca/sysprod/slurm/spool/slurm_jobcomp.log
#JobCompPass=
#JobCompPort=
#JobCompType=jobcomp/filetxt
#JobCompUser=
#JobContainerType=job_container/none 
JobAcctGatherFrequency=task=10
JobAcctGatherType=jobacct_gather/linux
SlurmctldSyslogDebug=debug
#SlurmctldDebug=debug5
#SlurmctldLogFile=
SlurmdSyslogDebug=debug
#SlurmdDebug=debug5
#SlurmdLogFile=
#SlurmSchedLogFile= 
#SlurmSchedLogLevel= 
# 
# 
# POWER SAVE SUPPORT FOR IDLE NODES (optional) 
#SuspendProgram= 
#ResumeProgram= 
#SuspendTimeout= 
#ResumeTimeout= 
#ResumeRate= 
#SuspendExcNodes= 
#SuspendExcParts= 
#SuspendRate= 
#SuspendTime= 
# 
# 
# OTHER OPTS
#AllowSpecResourcesUsage=0
NodeFeaturesPlugins=knl_generic
#AcctGatherEnergyType=acct_gather_energy/rapl
AcctGatherEnergyType=acct_gather_energy/ipmi
AcctGatherNodeFreq=10
CoreSpecPlugin=core_spec/none
# COMPUTE NODES 
# BDW
NodeName=r033c0[1,2]s[01-12],r033c03s[01-08],r040c03s0[1,2] NodeAddr=10.27.33.[1-32],10.27.40.2[5,6] CPUs=36 Sockets=2 CoresPerSocket=18 ThreadsPerCore=1 State=UNKNOWN RealMemory=128000 MemSpecLimit=5000 #CoreSpecCount=0
# bdw_all_serial
PartitionName=bdw_all_serial Nodes=r033c0[1,2]s[01-12],r033c03s[01-08] Default=YES DefMemPerCPU=3000 DefaultTime=00:30:00 MaxTime=04:00:00 State=UP QOS=bdw_all_serial DenyQos=bdw_qos_special AllowAccounts=cin_staff
# bdw_all_rcm
PartitionName=bdw_all_rcm Nodes=r033c0[1,2]s[01-12],r033c03s[01-08] Default=NO DefMemPerCPU=3000 DefaultTime=00:30:00 MaxTime=03:00:00 State=UP QOS=bdw_all_rcm DenyQos=bdw_qos_special AllowAccounts=cin_staff
# bdw_usr_dbg
PartitionName=bdw_usr_dbg    Nodes=r033c0[1,2]s[01-12],r033c03s[01-08] Default=NO DefMemPerCPU=3000 DefaultTime=00:05:00 MaxTime=00:30:00 State=UP QOS=bdw_usr_dbg DenyQos=bdw_qos_special TRESBillingWeights="CPU=0.25,Mem=0.072G" #AllowAccounts=cin_staff,linco_marcobdw,smr_prod
# bdw_usr_prod
PartitionName=bdw_usr_prod   Nodes=r033c0[1,2]s[01-12],r033c03s[01-08] Default=NO DefMemPerCPU=3000 DefaultTime=00:30:00 MaxTime=24:00:00 State=UP QOS=bdw_usr_prod TRESBillingWeights="CPU=0.25,Mem=0.072G" AllowAccounts=cin_staff,linco_marcobdw,smr_prod
# bdw_usr_bprod
PartitionName=bdw_usr_bprod  Nodes=r033c0[1,2]s[01-12],r033c03s[01-08] Default=NO DefMemPerCPU=3000 DefaultTime=00:30:00 MaxTime=24:00:00 State=UP QOS=bdw_usr_bprod TRESBillingWeights="CPU=0.25,Mem=0.072G" AllowAccounts=cin_staff,linco_marcobdw,smr_prod
# bdw_sys_system
PartitionName=bdw_sys_system  Nodes=r033c0[1,2]s[01-12],r033c03s[01-08] Default=NO DefMemPerCPU=3000 DefaultTime=00:30:00 State=UP QOS=bdw_sys_system TRESBillingWeights="CPU=0.25,Mem=0.072G" AllowAccounts=cin_staff
# bdw_fua_gwdbg
PartitionName=bdw_fua_gwdbg Nodes=r040c03s0[1,2] Default=NO DefMemPerCPU=3000 DefaultTime=00:30:00 MaxTime=00:30:00  State=UP QOS=bdw_fua_gwdbg DenyQos=bdw_qos_special AllowGroups=g2
# bdw_fua_gw
PartitionName=bdw_fua_gw    Nodes=r040c03s0[1,2] Default=NO DefMemPerCPU=3000 DefaultTime=00:30:00 MaxTime=48:00:00  State=UP QOS=bdw_fua_gw    DenyQos=bdw_qos_special AllowGroups=g2
# bdw_fua_gwg2
PartitionName=bdw_fua_gwg2  Nodes=r040c03s0[1,2] Default=NO DefMemPerCPU=3000 DefaultTime=00:30:00 MaxTime=168:00:00 State=UP QOS=bdw_fua_gwg2  DenyQos=bdw_qos_special AllowGroups=g2

# KNL
NodeName=r067c0[1-8]s0[1-4] NodeAddr=10.27.73.[1-32] Sockets=1 CoresPerSocket=68 ThreadsPerCore=4 Feature=knl State=UNKNOWN RealMemory=96000 MemSpecLimit=5000 #CoreSpecCount=0
# knl_usr_dbg
PartitionName=knl_usr_dbg Nodes=r067c0[1-8]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 MaxTime=00:30:00 State=UP QOS=knl_usr_dbg TRESBillingWeights="CPU=0.125" #AllowAccounts=cin_staff,linco_marcoknl
# knl_usr_prod
PartitionName=knl_usr_prod Nodes=r067c0[1-8]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 MaxTime=24:00:00 State=UP QOS=knl_usr_prod TRESBillingWeights="CPU=0.125" AllowAccounts=cin_staff,linco_marcoknl
# knl_usr_bprod
PartitionName=knl_usr_bprod Nodes=r067c0[1-8]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 MaxTime=24:00:00 State=UP QOS=knl_usr_bprod TRESBillingWeights="CPU=0.125" AllowAccounts=cin_staff,linco_marcoknl
# knl_sys_system
PartitionName=knl_sys_system Nodes=r067c0[1-8]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 State=UP QOS=knl_sys_system TRESBillingWeights="CPU=0.25,Mem=0.072G" AllowAccounts=cin_staff
# knl_fua_dbg
PartitionName=knl_fua_dbg Nodes=r067c0[1-8]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:05:00 MaxTime=00:30:00 State=UP QOS=knl_fua_dbg TRESBillingWeights="CPU=0.125" #AllowAccounts=cin_staff,fusio_all_0
# knl_fua_prod
PartitionName=knl_fua_prod Nodes=r067c0[1-8]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 MaxTime=24:00:00 State=UP QOS=knl_fua_prod TRESBillingWeights="CPU=0.125" AllowAccounts=fusio_all_0

# SKL
NodeName=r149c[09-16]s0[1-4] NodeAddr=10.27.149.[33-64] Sockets=2 CoresPerSocket=24 ThreadsPerCore=1 State=UNKNOWN RealMemory=192000 MemSpecLimit=5000 #CoreSpecCount=0
# skl_sys_system
PartitionName=skl_sys_system Nodes=r149c[09-16]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 State=UP QOS=skl_sys_system TRESBillingWeights="CPU=0.2" AllowAccounts=cin_staff
# skl_fua_dbg
PartitionName=skl_fua_dbg Nodes=r149c[09-16]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 MaxTime=02:00:00 State=UP QOS=skl_fua_dbg DenyQos=skl_qos_special,skl_qos_lowprio TRESBillingWeights="CPU=0.2"
# skl_fua_prod
PartitionName=skl_fua_prod Nodes=r149c[09-16]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 MaxTime=24:00:00 State=UP QOS=skl_fua_prod TRESBillingWeights="CPU=0.2" AllowAccounts=cin_staff
# skl_fua_bprod
PartitionName=skl_fua_bprod Nodes=r149c[09-16]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 MaxTime=24:00:00 State=UP QOS=skl_fua_bprod TRESBillingWeights="CPU=0.2" AllowAccounts=cin_staff
# skl_fua_lprod
PartitionName=skl_fua_lprod Nodes=r149c[09-16]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 MaxTime=72:00:00 State=UP QOS=skl_fua_lprod TRESBillingWeights="CPU=0.2" AllowAccounts=cin_staff
# skl_usr_dbg
PartitionName=skl_usr_dbg Nodes=r149c[09-16]s0[1-4] Default=NO OverSubscribe=EXCLUSIVE DefaultTime=00:30:00 MaxTime=00:30:00 State=UP QOS=skl_usr_dbg AllowQos=skl_qos_test TRESBillingWeights="CPU=0.2"
